# Changelog

## 1.5.0

* Add new asset calles to API.
* Add qearn support to API.
* Add qearn support to shell.
* Refactor transaction handling in shell.
* Fix transaction handling for empty subscriptions.

## 1.4.0

* API: Add event types for event API.
* API: Add circuit breakers (basic version) for nodes.
* Fix node response handling (error for empty responses).
* Fix slow qubicj shell startup.
* Improve qubicj shell inclusion check.
* Default qubicj shell retries to zero.
* Add circuit breaker to handle nodes with high failure rates.

## 1.3.0

* API: Add method to get timestamp from tick data.
* API: Refactor qx order interface.
* Shell: Fix maximum qx order amount.
* Shell: Add transfer asset command.

## 1.2.0

* Shell: Fix showing message on unexpected send transfer error.
* API: Add extra data objects for creating issue asset and transfer asset transactions.
* API: Qx interface change - switched issuer and asset name order.
* API: Attention: this version is not backwards compatible with regard to qx because of the interface change.

## 1.1.1

Deploy to maven central.

## 1.1.0

* This version is not backwards compatible.
* Adapt to core tick data changes.
* Update dependency versions.
* Change package structure (for maven repository deployment).
* Add api lib and vanity generator to artifacts.

## 1.0.1

* Bugfix for qubic shell.

## 1.0.0

* Initial version of API, vanity id generator and qubic shell.
