package at.qubic.api.crypto;

public interface SchnorrQubic { // schnorrq with k12

    byte[] sign(byte[] subSeed, byte[] publicKey, byte[] digest);
    byte[] signWithNonceK(byte[] nonceK, byte[] publicKey, byte[] digest);
    boolean verify(byte[] publicKey, byte[] messageDigest, byte[] signature);

}
