package at.qubic.api.domain.qearn.request;

import at.qubic.api.domain.TransactionExtraData;
import at.qubic.api.domain.qearn.Qearn;
import lombok.Builder;

@Builder
public class LockRequest implements TransactionExtraData {

    private final long amount;

    @Override
    public long getAmount() {
        return amount; // lock amount is same as transaction amount in this case
    }

    @Override
    public short getInputType() {
        return Qearn.Procedure.QEARN_LOCK.getCode();
    }

    @Override
    public byte[] toBytes() {
        return new byte[0];
    }
}
