package at.qubic.api.network;

import at.qubic.api.domain.std.response.TickInfo;
import reactor.core.publisher.Mono;

import java.util.Collection;

public interface NetworkStatus {

    short INITIAL_EPOCH = (short) 1;
    int INITIAL_TICK = 1;

    Mono<TickInfo> update(Collection<Node> nodes);
    Mono<TickStatus> getTickStatus();

}
