package at.qubic.api.network;

import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.time.Instant;

public interface NodesManagementStrategy {

    Node addNode(String host);
    Flux<Node> getNodes(int max);
    Mono<Instant> forceNetworkUpdate(Instant updateIfBefore); // TODO test

}
