package at.qubic.api.util;

import java.nio.ByteBuffer;

public class BufferUtil {

    public static byte[] getByteArray(ByteBuffer buffer, int length) {
        byte[] array = new byte[length];
        buffer.get(array);
        return array;
    }

    public static byte[][] getByteArrays(ByteBuffer buffer, int count, int length) {
        final byte[][] arrays = new byte[count][length];
        for (byte[] array : arrays) {
            buffer.get(array);
        }
        return arrays;
    }

}
