package at.qubic.api.crypto;

import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.*;

class NoCryptoTest {

    private final NoCrypto lib = new NoCrypto();

    @Test
    void ecc_mul_fixed() {
        assertThatThrownBy(() -> lib.ecc_mul_fixed(null)).isInstanceOf(UnsupportedOperationException.class);
    }

    @Test
    void testEcc_mul_fixed() {
        assertThatThrownBy(() -> lib.ecc_mul_fixed(null)).isInstanceOf(UnsupportedOperationException.class);
    }

    @Test
    void sign() {
        assertThatThrownBy(() -> lib.ecc_mul_fixed(null)).isInstanceOf(UnsupportedOperationException.class);
    }

    @Test
    void signWithNonceK() {
        assertThatThrownBy(() -> lib.ecc_mul_fixed(null)).isInstanceOf(UnsupportedOperationException.class);
    }

    @Test
    void verify() {
        assertThatThrownBy(() -> lib.ecc_mul_fixed(null)).isInstanceOf(UnsupportedOperationException.class);
    }
}