package at.qubic.api.domain.qearn;

import at.qubic.api.crypto.IdentityUtil;
import at.qubic.api.crypto.NoCrypto;
import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.*;

class QearnTest {

    private final IdentityUtil identityUtil = new IdentityUtil(true, new NoCrypto());


    @Test
    void testPublicKey() {
        assertThat(Qearn.ADDRESS).isEqualTo(identityUtil.getIdentityFromPublicKey(Qearn.ADDRESS_PUBLIC_KEY));
    }

}