package at.qubic.api.domain.qearn.request;

import at.qubic.api.domain.qearn.Qearn;
import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.assertThat;

class LockRequestTest {

    @Test
    void getInputType() {
        LockRequest request = LockRequest.builder().build();
        assertThat(request.getInputType()).isEqualTo(Qearn.Procedure.QEARN_LOCK.getCode());
    }

    @Test
    void toBytes() {
        LockRequest request = LockRequest.builder().build();
        assertThat(request.toBytes()).isEqualTo(new byte[0]);
    }

    @Test
    void getAmount() {
        LockRequest request = LockRequest.builder().amount(1_000).build();
        assertThat(request.getAmount()).isEqualTo(1_000);
    }

}