package at.qubic.api.domain.qearn.response;

import org.junit.jupiter.api.Test;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

import static org.assertj.core.api.Assertions.*;

class StateOfRoundTest {

    @Test
    void fromBytes() {
        byte[] payload = ByteBuffer.allocate(4)
                .order(ByteOrder.LITTLE_ENDIAN)
                .putInt(123)
                .array();

        StateOfRound state = StateOfRound.fromBytes(payload);
        assertThat(state.getState()).isEqualTo(123);
    }

}