package at.qubic.api.domain.qx.request;

import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.*;

class QxTransferAssetOrderTest {

    @Test
    void defaultAmount() {
        QxTransferAssetOrder order = QxTransferAssetOrder.builder().build();
        assertThat(order.getAmount()).isEqualTo(100);

        QxTransferAssetOrder customAmount = QxTransferAssetOrder.builder().amount(1000).build();
        assertThat(customAmount.getAmount()).isEqualTo(1000);
    }

}