package at.qubic.shell.command;

import at.qubic.shell.command.service.NetworkService;
import org.springframework.shell.command.annotation.Command;

@Command(group = "network")
public class NetworkCommands {

    private final NetworkService networkService;

    public NetworkCommands(NetworkService networkService) {
        this.networkService = networkService;
    }

    // TODO test
    @Command(command = "network tick-info", description = "Show current epoch and tick information.")
    public String getTickInfo() {
        return networkService.getTickInfo();
    }
}
