package at.qubic.shell.command.service;

import at.qubic.api.service.ComputorService;

// TODO test
public class NetworkService {

    private static final int NUM_RETRIES = 3;

    private final ComputorService computorService;

    public NetworkService(ComputorService computorService) {
        this.computorService = computorService;
    }


    public String getTickInfo() {
        return computorService.getCurrentTickInfo()
                .retry(NUM_RETRIES)
                .map(tickInfo -> """
                        
                        Epoch: %d
                        Current tick: %d
                        Initial tick: %d
                        """.formatted(tickInfo.getEpoch(),
                        tickInfo.getTick(),
                        tickInfo.getInitialTick()))
                .block();
    }

}
