package at.qubic.shell.exception;

/**
 * Exception that might get thrown when trying to send and exception. It is thrown before sending, the transaction
 * never happened and can be repeated.
 */
public class BeforSendingException extends SendTransactionException {

    public BeforSendingException(String message) {
        super(message);
    }

    public BeforSendingException(String message, Throwable cause) {
        super(message, cause);
    }

}
