package at.qubic.shell.exception;

/**
 * Exception that might get thrown after sending a transaction. In this case the transaction
 * status is unclear.
 */
public class PostProcessingException extends SendTransactionException {

    private final Object context;

    public PostProcessingException(Object context, String message, Throwable cause) {
        super(message, cause);
        this.context = context;
    }

    @SuppressWarnings("unchecked")
    public <T> T getContext() {
        return (T) context;
    }
    
}
