package at.qubic.shell.exception;

/**
 * Exception that might get thrown when trying to send and exception. It is thrown before sending, the transaction
 * never happened and can be repeated.
 */
public class RetryableSendTransactionException extends SendTransactionException {

    public RetryableSendTransactionException(String message, Throwable cause) {
        super(message, cause);
        this.retryable = true;
    }

}
