package at.qubic.shell.command;

import org.junit.jupiter.api.Test;
import at.qubic.shell.command.service.WalletService;

import static org.assertj.core.api.Assertions.assertThat;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

class AddWalletCommandTest {

    private final WalletService walletService = mock();
    private final AddWalletCommand command = new AddWalletCommand(walletService);

    @Test
    void addWallet() {
        when(walletService.addWallet("some-id")).thenReturn("add");
        assertThat(command.addWallet("some-id")).isEqualTo("add");
    }

}