package at.qubic.shell.util;

import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.*;

class FormatUtilTest {

    private final FormatUtil formatUtil = new FormatUtil();

    @Test
    void formatUnsigned() {
        assertThat(formatUtil.formatUnsigned(0)).isEqualTo("0");
        assertThat(formatUtil.formatUnsigned(999)).isEqualTo("999");
        assertThat(formatUtil.formatUnsigned(1234)).isEqualTo("1'234");
        assertThat(formatUtil.formatUnsigned(1234567)).isEqualTo("1'234'567");
        assertThat(formatUtil.formatUnsigned(1234567890123456L)).isEqualTo("1'234'567'890'123'456");
    }
}