package at.qubic.api.crypto;

import org.bouncycastle.crypto.digests.Kangaroo;

public class KangarooTwelve {

    public static byte[] hash(byte[] in, int size) {
        byte[] out = new byte[size];
        final Kangaroo.KangarooTwelve kangarooTwelve = new Kangaroo.KangarooTwelve();
        kangarooTwelve.update(in, 0, in.length);
        kangarooTwelve.doFinal(out, 0, size);
        return out;
    }

}
