package at.qubic.api.domain.event;

import lombok.Getter;

public enum EventType {

    QU_TRANSFER(0),
    ASSET_ISSUANCE(1),
    ASSET_OWNERSHIP_CHANGE(2),
    ASSET_POSSESSION_CHANGE(3),
    CONTRACT_ERROR_MESSAGE(4),
    CONTRACT_WARNING_MESSAGE(5),
    CONTRACT_INFORMATION_MESSAGE(6),
    CONTRACT_DEBUG_MESSAGE(7),
    BURNING(8),
    DUST_BURNING(9),
    SPECTRUM_STATS(10),
    CUSTOM_MESSAGE(255);

    @Getter
    private final int code;

    EventType(int code) {
        this.code = code;
    }

}
