package at.qubic.api.domain.std.request;

import at.qubic.api.domain.MessageType;
import at.qubic.api.domain.QubicRequest;
import lombok.Builder;
import lombok.ToString;

import static at.qubic.api.domain.MessageType.REQUEST_CURRENT_TICK_INFO;

@Builder
@ToString(onlyExplicitlyIncluded = true)
public class RequestCurrentTickInfo extends QubicRequest {

    @Override
    public MessageType getMessageType() {
        return REQUEST_CURRENT_TICK_INFO;
    }

    @Override
    protected byte[] getMessagePayload() {
        return new byte[0];
    }

}

