package at.qubic.api.domain.std.request;

import lombok.Builder;
import lombok.ToString;
import at.qubic.api.domain.QubicRequest;
import at.qubic.api.domain.MessageType;

@Builder
@ToString(onlyExplicitlyIncluded = true)
public class RequestEntity extends QubicRequest {

    @ToString.Include
    private final byte[] publicKey;

    @Override
    public MessageType getMessageType() {
        return MessageType.REQUEST_ENTITY;
    }

    @Override
    public byte[] getMessagePayload() {
        return publicKey;
    }

}
