package at.qubic.api.properties;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Duration;

@NoArgsConstructor
@AllArgsConstructor
@Data
public class NetworkProperties {

    int port;
    int maxTickDelay;
    Duration refreshInterval = Duration.ofSeconds(60);

}
