package at.qubic.api.domain.event.response;

import org.bouncycastle.util.encoders.Base64;
import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.assertThat;

class ContractInformationEventTest {

    @Test
    void fromBytes() {

        byte[] input = Base64.decode("AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAE1MTQAAAAAAAcLrCwAAAAABAAAAAAAAAA==");
        ContractInformationEvent event = ContractInformationEvent.fromBytes(input);
        assertThat(event).isNotNull();
        assertThat(event).isEqualTo(ContractInformationEvent.builder()
                .contractIndex(1) // QX
                .type(0) // trade message
                .build());

    }
}