package at.qubic.api.domain.qearn;

import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.*;

class QearnConversionUtilTest {

    @Test
    void toDecimalPercentage() {
        assertThat(QearnConversionUtil.toDecimalPercentage(1010)).isEqualTo("0.0101");
        assertThat(QearnConversionUtil.toDecimalPercentage(0)).isEqualTo("0");
        assertThat(QearnConversionUtil.toDecimalPercentage(1234567)).isEqualTo("12.34567");
        assertThat(QearnConversionUtil.toDecimalPercentage(1)).isEqualTo("0.00001");
        assertThat(QearnConversionUtil.toDecimalPercentage(1_000)).isEqualTo("0.01");
        assertThat(QearnConversionUtil.toDecimalPercentage(10_000)).isEqualTo("0.1");
        assertThat(QearnConversionUtil.toDecimalPercentage(100_000)).isEqualTo("1");
    }

}