package at.qubic.api.domain.qearn.response;

import org.junit.jupiter.api.Test;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

import static org.assertj.core.api.Assertions.assertThat;

class UserLockInfoTest {

    @Test
    void fromBytes() {
        byte[] bytes = ByteBuffer.allocate(8)
                .order(ByteOrder.LITTLE_ENDIAN)
                .putLong(123)
                .array();

        UserLockInfo lockedInfo = UserLockInfo.fromBytes(bytes);
        assertThat(lockedInfo.getLockedAmount()).isEqualTo(123);
    }

}