package at.qubic.api.domain.qx.response;

import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.*;

class EntityOrderTest {

    @Test
    void assetNameToString() {
        EntityOrder order = EntityOrder.builder()
                .issuer(new byte[32])
                .assetName(new byte[]{'F', 'O', 'O', 0, 0, 0, 0, 0})
                .price(1)
                .numberOfShares(2)
                .build();

        assertThat(order.toString()).contains("assetName=FOO");
    }

}