package at.qubic.api.util;

import at.qubic.api.domain.QubicHeader;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class QubicHeaderUtil {

    public static QubicHeader headerFromBytes(byte[] headerBytes) {
        return QubicHeader.fromBytes(ByteBuffer.wrap(headerBytes)
                .order(ByteOrder.LITTLE_ENDIAN));
    }

}
