package at.qubic.shell.completion;

import at.qubic.shell.wallet.Wallets;
import org.springframework.shell.CompletionContext;
import org.springframework.shell.CompletionProposal;
import org.springframework.shell.completion.CompletionProvider;

import java.util.List;

public class IdentityCompletionProvider implements CompletionProvider {

    private final Wallets wallets;

    public IdentityCompletionProvider(Wallets wallets) {
        this.wallets = wallets;
    }

    @Override
    public List<CompletionProposal> apply(CompletionContext completionContext) {
        return wallets.getWalletIds().stream().map(CompletionProposal::new).toList();
    }

}
