package at.qubic.shell.command;

import at.qubic.shell.component.QuTransferComponent;
import at.qubic.shell.exception.InputValidationException;
import org.junit.jupiter.api.Test;
import reactor.core.publisher.Mono;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

class SendTransactionCommandTest {

    private final QuTransferComponent sendTransferComponent = mock();
    private final SendTransactionCommand command = new SendTransactionCommand(sendTransferComponent);

    @Test
    void send() throws InputValidationException {
        when(sendTransferComponent.transfer(42, "from", "to", 5, 3, true)).thenReturn(Mono.empty());
        String result = command.send(42, "from",  "to", 5, 3, true);
        assertThat(result).isEmpty();
    }

}